## org.biojava.bio.seq.io
Class ProteinRefSeqProcessor.Factory

    java.lang.Object
      org.biojava.bio.seq.io.ProteinRefSeqProcessor.Factory

All Implemented Interfaces:
  Serializable, SequenceBuilderFactory

Enclosing class:
  ProteinRefSeqProcessor

    public static class ProteinRefSeqProcessor.Factory

extends Object
implements SequenceBuilderFactory, Serializable

Factory which wraps sequence builders in a ProteinRefSeqProcessor

Author:
  Greg Cox
See Also:
  Serialized Form

Constructor Summary
`ProteinRefSeqProcessor.Factory(SequenceBuilderFactory theDelegate)`

Method Summary
`SequenceBuilder` `makeSequenceBuilder()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProteinRefSeqProcessor.Factory

    public ProteinRefSeqProcessor.Factory(SequenceBuilderFactory theDelegate)

Method Detail

### makeSequenceBuilder

    public SequenceBuilder makeSequenceBuilder()

  Specified by:
    `makeSequenceBuilder` in interface `SequenceBuilderFactory`